System Avatar

Prev Next

System Avatar

System Avatar JSON Format

System Avatar is represented as simple flat JSON objects with the following keys:

Name Type Description
id guid Id of the system avatar.
description string Description of the system avatar.
avatarImage string Url of the system avatar.

Get the list of System Avatars

GET global/systemAvatars

  • Parameters:

No Parameters

  • Response:

An array of System Avatar

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/systemAvatars \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

[
  {
      "id": "1b14ede0-9682-4551-8042-e48e750d38bd",
      "avatarImage": "https://api11.comm100.io/v4/Global/systemAvatars/1b14ede0-9682-4551-8042-e48e750d38bd/avatarImage",
      "description": "girl04.svg"
  }
] 

Get a single System Avatar

GET global/systemAvatars/{id}

  • Parameters:

No Parameters

  • Response:

System Avatar

  • Example

Sample Request:

curl https://api11.comm100.io/v4/global/systemAvatars/1b14ede0-9682-4551-8042-e48e750d38bd \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "id": "1b14ede0-9682-4551-8042-e48e750d38bd",
  "avatarImage": "https://api11.comm100.io/v4/Global/systemAvatars/1b14ede0-9682-4551-8042-e48e750d38bd/avatarImage",
  "description": "girl04.svg"
} 
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.